summaryrefslogtreecommitdiffstats
path: root/ci/ci_run_all_tests.sh
diff options
context:
space:
mode:
authorMichael Abel <75477722+abelikt@users.noreply.github.com>2021-12-07 15:26:14 +0100
committerGitHub <noreply@github.com>2021-12-07 15:26:14 +0100
commit13c6cd0195bbcf0ebc917d02d8dea4bf744635a7 (patch)
treefe4814e9fe39863a289ca95faf6fcfd577943495 /ci/ci_run_all_tests.sh
parent82b76d7ab7d075f86da42b8ef3d6de31e7786fdf (diff)
[CIT-623] Enable recording for all PySys calls (#670)
* Enable recording for all PySys calls Avoid to stop when the execution fails (wrap around set +e & -e). Move report folder, so that it won't be overridden. Signed-off-by: Michael Abel <info@abel-ikt.de> * Enable xml and csv report writers for PySys
Diffstat (limited to 'ci/ci_run_all_tests.sh')
-rwxr-xr-xci/ci_run_all_tests.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/ci/ci_run_all_tests.sh b/ci/ci_run_all_tests.sh
index 9c57d12a..e1253498 100755
--- a/ci/ci_run_all_tests.sh
+++ b/ci/ci_run_all_tests.sh
@@ -40,5 +40,11 @@ python3 -m venv ~/env-pysys
source ~/env-pysys/bin/activate
pip3 install -r tests/requirements.txt
cd tests/PySys/
-pysys.py run -v DEBUG
+
+set +e
+pysys.py run --record -v DEBUG
+set -e
+
deactivate
+
+mv __pysys_junit_xml pysys_junit_xml_all